﻿//===============================================================================
// Microsoft patterns & practices
// Guidance on Building a Release Pipeline with Team Foundation Server
//===============================================================================
// Copyright © Microsoft Corporation.  All rights reserved.
// This code released under the terms of the 
// Microsoft patterns & practices license (http://dataguidance.codeplex.com/license)
//===============================================================================


namespace TreyResearch.WcfService.Store
{
    public interface ISensorReadingStore
    {
        void Save(SensorReading reading);
        ResultPage<SensorReading> Get(int pageNumber);
        ResultPage<SensorReading> Get();
    }
}